Package icyllis.arc3d.granite.shading

# Class GraphicsPipelineBuilder

java.lang.Object
icyllis.arc3d.granite.shading.GraphicsPipelineBuilder

public abstract class GraphicsPipelineBuilder extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final PipelineKey_old`
  `mDesc`
  `FragmentShaderBuilder`
  `mFS`
  `GeometryStep.ProgramImpl`
  `mGPImpl`
  `final GraphicsPipelineDesc_Old`
  `mGraphicsPipelineDesc`
  `int`
  `mProjectionUniform`
  Built-in uniform handles.
  `VertexShaderBuilder`
  `mVS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GraphicsPipelineBuilder(PipelineKey_old desc, GraphicsPipelineDesc_Old graphicsPipelineDesc, Caps caps)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final void`
  `addExtension(int shaderFlags, String extensionName)`
  `protected final boolean`
  `emitAndInstallProcs()`
  `final Caps`
  `getCaps()`
  `final String`
  `nameVariable(char prefix, String name)`
  `final String`
  `nameVariable(char prefix, String name, boolean mangle)`
  Generates a name for a variable.
  `final ShaderCaps`
  `shaderCaps()`
  `abstract UniformHandler`
  `uniformHandler()`
  `abstract VaryingHandler`
  `varyingHandler()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### mVS

    public VertexShaderBuilder mVS

  - ### mFS

    public FragmentShaderBuilder mFS

  - ### mDesc

    public final PipelineKey_old mDesc

  - ### mGraphicsPipelineDesc

    public final GraphicsPipelineDesc_Old mGraphicsPipelineDesc

  - ### mProjectionUniform

    public int mProjectionUniform
    Built-in uniform handles.

  - ### mGPImpl

    public GeometryStep.ProgramImpl mGPImpl

- ## Constructor Details

  - ### GraphicsPipelineBuilder

    public GraphicsPipelineBuilder(PipelineKey_old desc, GraphicsPipelineDesc_Old graphicsPipelineDesc, Caps caps)

- ## Method Details

  - ### getCaps

    public final Caps getCaps()

  - ### shaderCaps

    public final ShaderCaps shaderCaps()

  - ### nameVariable

    public final String nameVariable(char prefix, String name)

  - ### nameVariable

    public final String nameVariable(char prefix, String name, boolean mangle)
    Generates a name for a variable. The generated string will be name-prefixed by the prefix char (unless the prefix is '\0'). It also will mangle the name to be stage-specific unless explicitly asked not to. `nameVariable` can also be used to generate names for functions or other types of symbols where unique names are important.

  - ### uniformHandler

    public abstract UniformHandler uniformHandler()

  - ### varyingHandler

    public abstract VaryingHandler varyingHandler()

  - ### addExtension

    public final void addExtension(int shaderFlags, @Nullable String extensionName)

  - ### emitAndInstallProcs

    protected final boolean emitAndInstallProcs()